Retrieve all SpectrumX Partitions

View as Markdown

Retrieve all SpectrumX Partitions for the org

Org must have a Tenant entity. User must have authorization role with TENANT_ADMIN suffix.

Authentication

AuthorizationBearer
``` export JWT_BEARER_TOKEN="<jwt-bearer-token>" # Example org name: "acme-inc export ORG_NAME=<org-name> # Use the JWT bearer token in your API request auth header: curl -v -X GET -H "Content-Type: application/json" -H "Authorization: Bearer $JWT_BEARER_TOKEN" https://nico-rest-api.nico.svc.cluster.local/v2/org/$ORG_NAME/nico/user/current ```

Path parameters

orgstringRequired
Name of the Org

Query parameters

siteIdstringOptionalformat: "uuid"
Filter Partitions by Site. Repeat the parameter to match multiple Sites.
statusenumOptional
Filter Partitions by Status. Repeat the parameter to match multiple Statuses.
Allowed values:
querystringOptional
Search for matches across all SpectrumX Partitions. Input will be matched against name, description, status and labels fields
includeRelationenumOptional
Related entity to expand
Allowed values:
pageNumberintegerOptional1-21474836
Page number for pagination query
pageSizeintegerOptional1-100
Page size for pagination query
orderByenumOptionalDefaults to CREATED_ASC

Ordering for pagination query. Defaults to CREATED_ASC.

Response headers

X-PaginationstringOptional
Pagination result in JSON format

Response

OK
idstringRead-onlyformat: "uuid"
Unique UUID v4 identifier for the SpectrumX Partition
namestring2-256 characters
Name of the SpectrumX Partition
siteIdstringformat: "uuid"
ID of the Site the Partition belongs to
tenantIdstringformat: "uuid"
ID of the Tenant that owns the Partition
statusenumRead-only
Status of the SpectrumX Partition. A Partition becomes Ready once the Site reports it in inventory
descriptionstring or nullOptional
Description of the SpectrumX Partition
siteobjectOptional
Summary of the Site, present when requested through includeRelation
tenantobjectOptional
Summary of the Tenant, present when requested through includeRelation
vniinteger or nullOptional
VXLAN Network Identifier for the Partition. Allocated by the Site when the create request omits it
labelsmap from strings to stringsOptional

String key-value pairs describing Partition labels. Up to 10 key-value pairs can be specified

statusHistorylist of objectsOptionalRead-only
Status detail records for the SpectrumX Partition over time
createddatetimeOptionalRead-only
ISO datetime string for when the SpectrumX Partition was created
updateddatetimeOptionalRead-only
ISO datetime string for when the SpectrumX Partition was last updated

Errors

403
Forbidden Error